Bug 1179096 - [RFE] Add explicit way for API consumers to specifiy all pages in an index request
Summary: [RFE] Add explicit way for API consumers to specifiy all pages in an index re...
Keywords:
Status: CLOSED DUPLICATE of bug 1142258
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1142258
TreeView+ depends on / blocked
 
Reported: 2015-01-06 08:22 UTC by Tomas Strachota
Modified: 2019-08-15 04:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 18:38:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tomas Strachota 2015-01-06 08:22:02 UTC
From: https://github.com/theforeman/theforeman.org/pull/119/files#r7659148

Currently a user must specify per_page=<some large number> in order to ensure they receive all members of a collection.  We ought to allow a more explicit method of doing this such as per_page=all.

Comment 1 Tomas Strachota 2015-01-06 08:22:04 UTC
Created from redmine issue http://projects.theforeman.org/issues/3652

Comment 4 Bryan Kearney 2015-04-30 18:38:45 UTC

*** This bug has been marked as a duplicate of bug 1142258 ***


Note You need to log in before you can comment on or make changes to this bug.